- Qt 5.15
- Qt Sensors
- C++ Classes
- QAltimeter
- Qt 5.15.11 Reference Documentation

# QAltimeter Class

The QAltimeter class is a convenience wrapper around QSensor. More...

Header: | #include <QAltimeter>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Public Functions

| QAltimeter(QObject *parent = Q_NULLPTR)
virtual | ~QAltimeter()
QAltimeterReading * | reading() const

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QAltimeterReading instead of a QSensorReading.

For details about how the sensor works, see QAltimeterReading.

See also QAltimeterReading.

## Member Function Documentation

### QAltimeter::QAltimeter(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### `[virtual]` QAltimeter::~QAltimeter()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QAltimeterReading *QAltimeter::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().